﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using Common;

namespace Module1.Views
{
	public partial class FlandersView : RadTabItem
	{
		IModuleManager moduleManager;
		IRegionManager regionManager;

		public FlandersView(IModuleManager _moduleManager, IRegionManager _regionManager)
		{
			InitializeComponent();

			this.moduleManager = _moduleManager;
			this.regionManager = _regionManager;

			EventManager.RegisterClassHandler(typeof(RadTabItem), RoutedEventHelper.CloseTabEvent, new RadRoutedEventHandler(OnCloseClicked));
		}

		public void OnCloseClicked(object sender, RadRoutedEventArgs e)
		{
			regionManager.Regions[RegionNames.TabControlRegion].Remove(this);
			e.Handled = true;
		}
	}
}
