﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using Telerik.Windows;
using Common;
using Module1.Views;
using Module1.ViewModels;

namespace Module2.Views
{
	public partial class SimpsonsView : RadTabItem
	{
		IModuleManager moduleManager;
		IRegionManager regionManager;

		public SimpsonsView(IModuleManager _moduleManager, IRegionManager _regionManager)
		{
			InitializeComponent();

			this.moduleManager = _moduleManager;
			this.regionManager = _regionManager;

			EventManager.RegisterClassHandler(typeof(RadTabItem), RoutedEventHelper.CloseTabEvent, new RadRoutedEventHandler(OnCloseClicked));
		}

		public void OnCloseClicked(object sender, RadRoutedEventArgs e)
		{
			regionManager.Regions[RegionNames.TabControlRegion].Remove(this);
			e.Handled = true;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			moduleManager.LoadModule("Module1");
			FlandersView view = regionManager.Regions[RegionNames.TabControlRegion].Views.LastOrDefault() as FlandersView;
			(view.DataContext as FlandersViewModel).IsSelected = true;
			regionManager.Regions[RegionNames.TabControlRegion].Activate(regionManager.Regions[RegionNames.TabControlRegion].Views.LastOrDefault());
		}
	}
}
